[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'TypInfo' (#rtl)

# GetRawInterfaceProp

Get a raw (CORBA) interface property.

## Declaration

Source position: typinfo.pp line 868

`function GetRawInterfaceProp(`
`Instance: TObject;`
`const PropName: string`
`):Pointer; function GetRawInterfaceProp(`
`Instance: TObject;`
`PropInfo: PPropInfo`
`):Pointer;`

## Description

GetRawInterfaceProp can be used to retrieve the value of a published CORBA interface property with name PropName from object Instance. Alternatively, the required property information can be specified by PropInfo instead of the property name. In difference with the GetInterfaceProp function, no reference counting is done.

## Errors

If the property PropName does not exist, an EPropertyError exception is raised.

## See also

GetInterfaceProp |  | Return interface-typed property
SetRawInterfaceProp |  | Set a raw (CORBA) interface property.